package io.gmss.fiscad.interfaces.infocad.parametre;

import io.gmss.fiscad.entities.infocad.parametre.SituationGeographique;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface SituationGeographiqueService {

    SituationGeographique createSituationGeographique(SituationGeographique situationGeographique) throws BadRequestException;

    SituationGeographique updateSituationGeographique(Long id, SituationGeographique situationGeographique) throws NotFoundException;

    void deleteSituationGeographique(Long id) throws NotFoundException;

    Page<SituationGeographique> getSituationGeographiqueList(Pageable pageable);

    List<SituationGeographique> getSituationGeographiqueList();

    Optional<SituationGeographique> getSituationGeographiqueById(Long id);
}
